# PaperCommandManager (ACF (Paper) 0.5.1-SNAPSHOT API)
declaration: package: co.aikar.commands, class: PaperCommandManager

Package co.aikar.commands

# Class PaperCommandManager

java.lang.Object
co.aikar.commands.CommandManager<org.bukkit.command.CommandSender,co.aikar.commands.BukkitCommandIssuer,org.bukkit.ChatColor,co.aikar.commands.BukkitMessageFormatter,co.aikar.commands.BukkitCommandExecutionContext,co.aikar.commands.BukkitConditionContext>
co.aikar.commands.BukkitCommandManager
co.aikar.commands.PaperCommandManager

public class PaperCommandManager extends co.aikar.commands.BukkitCommandManager

## Field Summary

### Fields inherited from class co.aikar.commands.BukkitCommandManager

`autoDetectFromClient, completions, contexts, issuersLocaleString, knownCommands, locales, mcMinorVersion, mcPatchVersion, plugin, registeredCommands`

### Fields inherited from class co.aikar.commands.CommandManager

`conditions, defaultExceptionHandler, defaultFormatter, defaultHelpPerPage, dependencies, formatters, helpFormatter, issuersLocale, localeChangedCallbacks, replacements, rootCommands, supportedLanguages, usePerIssuerLocale`

## Constructor Summary

Constructors
Constructor
Description
`PaperCommandManager(org.bukkit.plugin.Plugin plugin)`

## Method Summary

Modifier and Type
Method
Description
`void`
`enableUnstableAPI(String api)`
`co.aikar.commands.CommandCompletions<co.aikar.commands.BukkitCommandCompletionContext>`
`getCommandCompletions()`
`co.aikar.commands.CommandContexts<co.aikar.commands.BukkitCommandExecutionContext>`
`getCommandContexts()`

### Methods inherited from class co.aikar.commands.BukkitCommandManager

`createCommandContext, createCompletionContext, createConditionContext, createRegisteredCommand, createRootCommand, getCommandIssuer, getCommandPrefix, getLocales, getPlugin, getRegisteredRootCommands, getScheduler, getTimings, handleUncaughtException, hasRegisteredCommands, isCommandIssuer, log, registerCommand, registerCommand, setPlayerLocale, unregisterCommand, unregisterCommand, unregisterCommands, usePerIssuerLocale`

### Methods inherited from class co.aikar.commands.CommandManager

`addSupportedLanguage, formatMessage, generateCommandHelp, generateCommandHelp, generateCommandHelp, generateCommandHelp, getCommandConditions, getCommandReplacements, getCurrentCommandIssuer, getCurrentCommandManager, getCurrentCommandOperationContext, getDefaultExceptionHandler, getDefaultFormatter, getDefaultHelpPerPage, getFormat, getHelpFormatter, getIssuerLocale, getRootCommand, getSupportedLanguages, hasPermission, hasPermission, isLoggingUnhandledExceptions, log, notifyLocaleChange, obtainRootCommand, onLocaleChange, registerDependency, registerDependency, sendMessage, sendMessage, setDefaultExceptionHandler, setDefaultExceptionHandler, setDefaultFormatter, setDefaultHelpPerPage, setFormat, setFormat, setFormat, setHelpFormatter, setIssuerLocale, usePerIssuerLocale, usingPerIssuerLocale`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PaperCommandManager

public PaperCommandManager (org.bukkit.plugin.Plugin plugin)

## Method Details

### enableUnstableAPI

public void enableUnstableAPI (String api)

Overrides:
  `enableUnstableAPI` in class `co.aikar.commands.CommandManager<org.bukkit.command.CommandSender,co.aikar.commands.BukkitCommandIssuer,org.bukkit.ChatColor,co.aikar.commands.BukkitMessageFormatter,co.aikar.commands.BukkitCommandExecutionContext,co.aikar.commands.BukkitConditionContext>`

### getCommandContexts

public co.aikar.commands.CommandContexts<co.aikar.commands.BukkitCommandExecutionContext> getCommandContexts()

Overrides:
  `getCommandContexts` in class `co.aikar.commands.BukkitCommandManager`

### getCommandCompletions

public co.aikar.commands.CommandCompletions<co.aikar.commands.BukkitCommandCompletionContext> getCommandCompletions()

Overrides:
  `getCommandCompletions` in class `co.aikar.commands.BukkitCommandManager`